<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>
<body>
	<h3><em>Science and Engineering Ethics (2001) 7, 231-238</em></h3>
	<hr>

	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Prodfessional Practices</h2>
	<hr>

	<p><strong>Keywords:</strong>code of ethics, professional responsibility, software engineering</p>

	<h3>PREAMBLE</h3>
	<p>The short version of the code summarizes aspirations at a high level of abstaction. The clauses that are included in the full version give examples and details of how aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
		<br>
		<br>

	Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

	<h3>PRINCIPLES</h3>
	<ol>
		<li>
			<em>Public</em>. Software engineers shall act consistently with the public interest.
		</li>
		<li>
			<em>Client and employer</em>. Software engineers shall act in a manner that is in the best interests of their cclient and employer, consistent with the public interest.
		</li>
		<li>
			<em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.
		</li>
		<li>
			<em>Judgement.</em>S oftware engineers shall maintain integrity and independence in their professional judgement.
		</li>
		<li>
			<em>Management</em>. Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.
		</li>
		<li>
			<em>Profession.</em> Software engineers shall be fair to and supportive of their colleagues.
		</li>
		<li>
			<em>Colleagues.</em> Software engineers shall be fair and be supportive of their colleagues
		</li>
		<li>
			<em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of their profession.
		</li>
	</ol>


</body>
</html>